/**
  *  \file int/selexpr.h
  *  \brief Interpreter: Compilation of Selection Expressions
  *
  *  (c) 2001-2017 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_INT_SELEXPR_H
#define PCC_V2_INT_SELEXPR_H

#include "cpluslib/string.h"

class IntTokenizer;

void compileSelectionExpression(IntTokenizer& tok, string_t& expr);

#endif
